<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" :inline="true" v-show="showSearch" label-width="120px">
      <el-form-item label="报警设备编号" prop="fEquipmentCode">
        <el-input
          v-model="queryParams.fEquipmentCode"
          placeholder="请输入报警设备编号"
          clearable
          size="small"
          @keyup.enter.native="handleQuery"
        />
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>

    <el-table v-loading="loading" :data="equipmentAlarmDataList" @selection-change="handleSelectionChange">
      <el-table-column label="报警设备编号" align="center" prop="fEquipmentCode" />
      <el-table-column label="报警数据" align="center" prop="fAlarmData" />
      <el-table-column label="创建时间" align="center" prop="fCreateTime" width="180">
        <template slot-scope="scope">
          <span>{{ parseTime(scope.row.fCreateTime, '{y}-{m}-{d}') }}</span>
        </template>
      </el-table-column>
    </el-table>

    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />
  </div>
</template>

<script>
import { listEquipmentAlarmData } from "@/api/equipmentAlarmData/equipmentAlarmData";

export default {
  name: "EquipmentAlarmData",
  components: {
  },
  data() {
    return {
      // 遮罩层
      loading: true,
      // 导出遮罩层
      exportLoading: false,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 生产设备报警信息表格数据
      equipmentAlarmDataList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        fAlarmCode: null,
        fAlarmType: null,
        fAlarmData: null,
        fCreateTime: null
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {
      }
    };
  },
  created() {
    this.getList();
  },
  methods: {
    /** 查询生产设备报警信息列表 */
    getList() {
      this.loading = true;
      listEquipmentAlarmData(this.queryParams).then(response => {
        this.equipmentAlarmDataList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        fEquipmentAlarmDataId: null,
        fAlarmCode: null,
        fAlarmType: null,
        fAlarmData: null,
        fCreateTime: null
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.fEquipmentAlarmDataId)
      this.single = selection.length!==1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加生产设备报警信息";
    }
  }
};
</script>
